## kirigami-addons 0.11.0+p24.04+vstable+git20250831.2311

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(kirigami-addons VERSION 0.11.40)

include(FeatureSummary)

set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)

# QT_MAJOR_VERSION is defined automatically by QtVersionOption (since ECM 5.82)
# which is included by KDEInstallDirs;
# This variables are updated below if Qt6 is found by ECM
set(QT_REQUIRED_VERSION "5.15.2")
set(KF_MIN_VERSION "5.91.0")
set(KF_MAJOR_VERSION "5")

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMQmlModule)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")

    find_package(KF6Svg CONFIG)
    set_package_properties(KF6Svg PROPERTIES
        DESCRIPTION "Svg rendering library with theme support"
        PURPOSE "Required at runtime for rendering Svg items in some controls"
        TYPE RUNTIME
    )

endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick QuickControls2)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 I18n)
if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}QuickTest ${QT_REQUIRED_VERSION} CONFIG QUIET)
endif()
if (ANDROID)
    find_package(Gradle REQUIRED)
    if (QT_MAJOR_VERSION EQUAL "5")
        find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} REQUIRED CONFIG COMPONENTS AndroidExtras)
    endif()
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF${KF_MAJOR_VERSION}KirigamiAddons")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFKirigamiAddonsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}KirigamiAddonsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KIRIGAMIADDONS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigamiaddons_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}KirigamiAddonsConfigVersion.cmake"
)


if(QT_MAJOR_VERSION STREQUAL "6")
    set(QTGRAPHICALEFFECTS_MODULE "Qt5Compat.GraphicalEffects")
else()
    set(QTGRAPHICALEFFECTS_MODULE "QtGraphicalEffects 1.0")
endif()

add_subdirectory(src)

if (BUILD_TESTING AND BUILD_SHARED_LIBS)
    add_subdirectory(autotests)
endif()

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}KirigamiAddonsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}KirigamiAddonsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

if(NOT Qt${QT_MAJOR_VERSION}QuickTest_FOUND)
    message(STATUS "QtQuickTest not found, autotests will not be built.")
    return()
endif()

add_library(test-artefacts STATIC
    example_albummodel.cpp
)

target_link_libraries(test-artefacts
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
)

add_executable(qmltest qmltests.cpp)

target_link_libraries(qmltest
    test-artefacts
    Qt${QT_MAJOR_VERSION}::QuickTest
    Qt${QT_MAJOR_VERSION}::Qml
    KF${QT_MAJOR_VERSION}::I18n
)

macro(kirigami_add_tests)
    if (WIN32)
        set(_extra_args -platform offscreen)
    endif()

    foreach(test ${ARGV})
        add_test(NAME ${test}
                 COMMAND qmltest
                        ${_extra_args}
                        -import ${CMAKE_BINARY_DIR}/bin
                        -input ${test}
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
    endforeach()
endmacro()

kirigami_add_tests(
    tst_sounds.qml
    tst_album_qmllistmodel.qml
    tst_album_abstractlistmodel.qml
    tst_album_qmlqobjectmodel.qml
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(components)
add_subdirectory(dateandtime)
add_subdirectory(treeview)
add_subdirectory(sounds)
add_subdirectory(formcard)
add_subdirectory(delegates)
add_subdirectory(settings)

# This is used to make the KSvg import work in the KF5 version
# Should be removed as soon master goes KF6 only
if (QT_MAJOR_VERSION EQUAL "5")
    add_subdirectory(ksvgcompat)
endif()

=== src/components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

# Labs module

ecm_add_qml_module(componentslabsplugin URI "org.kde.kirigamiaddons.labs.components" VERSION 1.0)

target_sources(componentslabsplugin PRIVATE
    nameutils.h
    nameutils.cpp
    componentslabsplugin.cpp
)

ecm_target_qml_sources(componentslabsplugin SOURCES
    Avatar.qml
    AbstractMaximizeComponent.qml
    AlbumMaximizeComponent.qml
    ImageMaximizeDelegate.qml
    VideoMaximizeDelegate.qml
    AlbumModelItem.qml
    Banner.qml
    DownloadAction.qml
    SearchPopupField.qml
    DialogRoundedBackground.qml
)

target_link_libraries(componentslabsplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::QuickControls2
)

ecm_finalize_qml_module(componentslabsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

# Non labs module

ecm_add_qml_module(componentsplugin URI "org.kde.kirigamiaddons.components" VERSION 1.0)

target_sources(componentsplugin PRIVATE
    nameutils.h
    nameutils.cpp
    componentsplugin.cpp
)

ecm_target_qml_sources(componentsplugin SOURCES
    Avatar.qml
    AvatarButton.qml
    FloatingButton.qml
    DoubleFloatingButton.qml
    Banner.qml
    DialogRoundedBackground.qml
)

target_link_libraries(componentsplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::QuickControls2
)

ecm_finalize_qml_module(componentsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/dateandtime/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

if (ANDROID)
    add_library(KF${KF_MAJOR_VERSION}KirigamiDateAndTime)
    add_library(KF${KF_MAJOR_VERSION}::KirigamiDateAndTime ALIAS KF${KF_MAJOR_VERSION}KirigamiDateAndTime)
    target_sources(KF${KF_MAJOR_VERSION}KirigamiDateAndTime PRIVATE
        lib/androidintegration.cpp
    )
    generate_export_header(KF${KF_MAJOR_VERSION}KirigamiDateAndTime BASE_NAME KirigamiDateAndTime)
    target_link_libraries(KF${KF_MAJOR_VERSION}KirigamiDateAndTime PUBLIC Qt${QT_MAJOR_VERSION}::Core)
    if (QT_MAJOR_VERSION EQUAL "5")
        target_link_libraries(KF${KF_MAJOR_VERSION}KirigamiDateAndTime PUBLIC Qt5::AndroidExtras)
    endif()
    add_subdirectory(android)
    install(TARGETS KF${KF_MAJOR_VERSION}KirigamiDateAndTime ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

ecm_add_qml_module(dateandtimeplugin URI "org.kde.kirigamiaddons.dateandtime" VERSION 0.1)

target_compile_definitions(dateandtimeplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_dateandtime\")

target_sources(dateandtimeplugin PRIVATE
    lib/yearmodel.cpp
    lib/monthmodel.cpp
    lib/plugin.cpp
    lib/timeinputvalidator.cpp
    lib/qdatetimeparser.cpp
    lib/infinitecalendarviewmodel.cpp
)

ecm_target_qml_sources(dateandtimeplugin SOURCES
    ClockFace.qml
    DateInput.qml
    DatePicker.qml
    DatePopup.qml
    TimeInput.qml

    # deprecated
    TimePicker.qml
)
ecm_target_qml_sources(dateandtimeplugin PATH private SOURCES
    private/ClockElement.qml
    private/DesktopDateInput.qml
    private/Hand.qml
    private/MobileDateInput.qml
    private/TumblerTimePicker.qml
)

target_link_libraries(dateandtimeplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR_VERSION}::I18n
)
if (TARGET KF${KF_MAJOR_VERSION}KirigamiDateAndTime)
    target_link_libraries(dateandtimeplugin PRIVATE KF${KF_MAJOR_VERSION}KirigamiDateAndTime)
endif()

ecm_finalize_qml_module(dateandtimeplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/delegates/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(delegatesplugin URI "org.kde.kirigamiaddons.delegates" VERSION 1.0)

target_sources(delegatesplugin PRIVATE
    plugin.cpp
)

ecm_target_qml_sources(delegatesplugin SOURCES
    RoundedItemDelegate.qml
    IndicatorItemDelegate.qml
    DefaultContentItem.qml
    SubtitleContentItem.qml
)

target_link_libraries(delegatesplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
)

ecm_finalize_qml_module(delegatesplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/formcard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

# MobileForm Labs module
# Deprecated and replaced by FormCard

ecm_add_qml_module(mobileformplugin URI "org.kde.kirigamiaddons.labs.mobileform" VERSION 0.1)

target_sources(mobileformplugin PRIVATE
    lib/labplugin.cpp
)

ecm_target_qml_sources(mobileformplugin SOURCES
    labs/FormCard.qml
    labs/AboutPage.qml
    labs/AboutKDE.qml

    AbstractFormDelegate.qml
    FormArrow.qml
    FormButtonDelegate.qml
    FormHeader.qml
    FormCardHeader.qml
    FormCheckDelegate.qml
    FormComboBoxDelegate.qml
    FormDelegateBackground.qml
    FormDelegateSeparator.qml
    FormRadioDelegate.qml
    FormSectionText.qml
    FormSpinBoxDelegate.qml
    FormSwitchDelegate.qml
    FormTextDelegate.qml
    FormTextFieldDelegate.qml
    FormGridContainer.qml
)

ecm_target_qml_sources(mobileformplugin PATH private SOURCES
    private/ContentItemLoader.qml
    private/SpinButton.qml
)

target_link_libraries(mobileformplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR_VERSION}::I18n
)

ecm_finalize_qml_module(mobileformplugin DESTINATION ${KDE_INSTALL_QMLDIR})

# FormCard module

ecm_add_qml_module(formcardplugin URI "org.kde.kirigamiaddons.formcard" VERSION 1.0)

target_sources(formcardplugin PRIVATE
    lib/formcardplugin.cpp
)

ecm_target_qml_sources(formcardplugin SOURCES
    AbstractFormDelegate.qml
    FormArrow.qml
    FormButtonDelegate.qml
    FormCard.qml
    FormCardPage.qml
    FormHeader.qml
    AboutPage.qml
    AboutKDE.qml
    FormCheckDelegate.qml
    FormComboBoxDelegate.qml
    FormDelegateBackground.qml
    FormDelegateSeparator.qml
    FormRadioDelegate.qml
    FormSectionText.qml
    FormSpinBoxDelegate.qml
    FormSwitchDelegate.qml
    FormTextDelegate.qml
    FormTextFieldDelegate.qml
    FormGridContainer.qml
)

ecm_target_qml_sources(formcardplugin PATH private SOURCES
    private/ContentItemLoader.qml
    private/SpinButton.qml
)

target_link_libraries(formcardplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR_VERSION}::I18n
)

ecm_finalize_qml_module(formcardplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/ksvgcompat/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Marco MArtin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later


ecm_add_qml_module(ksvgcompatplugin URI "org.kde.ksvg" VERSION 1.0)

target_sources(ksvgcompatplugin PRIVATE
    ksvgcompatplugin.cpp
)

ecm_target_qml_sources(ksvgcompatplugin SOURCES
    Svg.qml
    SvgItem.qml
    FrameSvgItem.qml
)

target_link_libraries(ksvgcompatplugin
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
)

ecm_finalize_qml_module(ksvgcompatplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(settingsplugin URI "org.kde.kirigamiaddons.settings" VERSION 1.0)

target_sources(settingsplugin PRIVATE
    plugin.cpp
)

ecm_target_qml_sources(settingsplugin SOURCES
    SettingAction.qml
    CategorizedSettings.qml
)

target_link_libraries(settingsplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
)

ecm_finalize_qml_module(settingsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/sounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(soundsplugin URI "org.kde.kirigamiaddons.sounds" VERSION 0.1)

target_compile_definitions(soundsplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_sounds\")

target_sources(soundsplugin PRIVATE
    lib/plugin.cpp
    lib/soundspickermodel.cpp
)

ecm_target_qml_sources(soundsplugin SOURCES
    SoundsPicker.qml
)

target_link_libraries(soundsplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR_VERSION}::I18n
)

ecm_finalize_qml_module(soundsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/treeview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Marco Martin <notmart@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(treeviewplugin URI "org.kde.kirigamiaddons.treeview" VERSION 1.0)

target_sources(treeviewplugin PRIVATE
    treeviewplugin.cpp
)

ecm_target_qml_sources(treeviewplugin SOURCES
    qml/BasicTreeItem.qml
    qml/TreeTableView.qml
    qml/TreeListView.qml
    qml/AbstractTreeItem.qml
    qml/TreeViewDecoration.qml
)

if (QT_MAJOR_VERSION EQUAL "5")
    ecm_target_qml_sources(treeviewplugin
        PRIVATE PATH
        styles/org.kde.desktop
        SOURCES
        qml5/styles/org.kde.desktop/TreeViewDecoration.qml
    )
else()
    ecm_target_qml_sources(treeviewplugin
        PRIVATE PATH
        styles/org.kde.desktop
        SOURCES
        qml/styles/org.kde.desktop/TreeViewDecoration.qml
    )
endif()


ecm_target_qml_sources(treeviewplugin
    PRIVATE PATH
    private
    SOURCES
    qml/private/InternalTreeListView.qml
    qml/private/InternalTreeTableView.qml
)

target_link_libraries(treeviewplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::QuickControls2
)

ecm_finalize_qml_module(treeviewplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/dateandtime/android/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

gradle_add_aar(datetime_aar BUILDFILE ${CMAKE_CURRENT_SOURCE_DIR}/build.gradle NAME KF5KirigamiDateAndTime)
gradle_install_aar(datetime_aar DESTINATION jar)

install(
    FILES KF5KirigamiDateAndTime-android-dependencies.xml
    DESTINATION ${KDE_INSTALL_LIBDIR}
    RENAME KF${KF_MAJOR_VERSION}KirigamiDateAndTime_${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml
)

=== debian/changelog ===
kirigami-addons (0.11.0+p24.04+vstable+git20250831.2311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:11:06 +0000

=== debian/control ===
Source: kirigami-addons
Priority: optional
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~)
Standards-Version: 4.6.2
Section: libs
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/kirigami-addons.git
Vcs-Browser: https://invent.kde.org/neon/extras/kirigami-addons
Maintainer: Neon CI <neon@kde.org>

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: qml-module-org-kde-kirigami-addons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml-module-org-kde-kirigami-addons-formcard
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: formcard module for QML
 This package contains the formcard QML module.
 A runtime QML module providing formcard utilities.

Package: qml-module-org-kde-kirigami-addons-ksvg
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: settings module for QML
 This package contains the ksvg QML module.
 A runtime QML module providing ksvg utilities.

Package: qml-module-org-kde-kirigami-addons-settings
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: settings module for QML
 This package contains the settings QML module.
 A runtime QML module providing settings utilities.

Package: qml-module-org-kde-kirigami-addons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.

Package: qml-module-org-kde-kirigami-addons-labs-mobileform
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: labs/mobileform module for QML
 This package contains the labs/mobileform QML module.
 A runtime QML module providing mobile forms utilities.

Package: qml-module-org-kde-kirigami-addons-labs-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: labs/components module for QML
 This package contains the labs/components QML module.
 A runtime QML module providing mobile forms utilities.

Package: qml-module-org-kde-kirigami-addons-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: components module for QML
 This package contains the components QML module.
 A runtime QML module providing mobile forms utilities.

Package: qml-module-org-kde-kirigami-addons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: qml-module-org-kde-kirigami-addons-delegates
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: sounds module for QML
 This package contains the delegates QML module.
 A runtime QML module providing delegates utilities.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qml-module-org-kde-kirigami-addons-components (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-delegates (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-formcard (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-ksvg (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-labs-components (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-labs-mobileform (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-settings (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
         ${misc:Depends}
Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: qml-module-org-kde-kirigamiaddons
Architecture: any
Multi-Arch: same
Section: oldlibs
Priority: extra
Depends: qml-module-org-kde-kirigami-addons-components,
         qml-module-org-kde-kirigami-addons-datetime,
         qml-module-org-kde-kirigami-addons-delegates,
         qml-module-org-kde-kirigami-addons-formcard,
         qml-module-org-kde-kirigami-addons-ksvg,
         qml-module-org-kde-kirigami-addons-labs-components,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigami-addons-settings,
         qml-module-org-kde-kirigami-addons-sounds,
         qml-module-org-kde-kirigami-addons-treeview,
         ${misc:Depends}
Description: kirigami meta package
 This package pulls in all the kirigami-addons qml modules.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@-(0[\d\.]+)@ARCHIVE_EXT@

## kirigami-addons 0.11.0+p24.04+vunstable+git20250831.2313

=== debian/changelog ===
kirigami-addons (0.11.0+p24.04+vunstable+git20250831.2313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:13:28 +0000

## kirigami-addons 1.4.0

=== debian/changelog ===
kirigami-addons (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to unstable so the package can migrate to
    testing.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Sep 2024 23:02:53 +0200

kirigami-addons (1.4.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (1.4.0).
  * Update build-deps and deps with the info from cmake.
  * New binary packages libkirigamiaddonsstatefulapp6 & qml6-module-org-
    kde-kirigamiaddons-statefulapp.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Sep 2024 23:34:45 +0200

kirigami-addons (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 10 Sep 2024 22:27:38 +0200

kirigami-addons (1.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (1.3.0).

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jun 2024 18:22:19 +0200

kirigami-addons (1.2.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (1.2.1).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 21:03:04 +0200

kirigami-addons (0.11.0-2) unstable; urgency=low

  * Source only upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Jun 2024 15:29:18 +0200

kirigami-addons (0.11.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Update copyright.
  * Add new qml-module-org-kde-kirigami-addons-components,
    qml-module-org-kde-kirigami-addons-delegates,
    qml-module-org-kde-kirigami-addons-formcard, and
    qml-module-org-kde-kirigami-addons-settings packages for the new
    QML modules.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 20 May 2024 00:36:10 +0200

=== debian/control ===
Source: kirigami-addons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: cmake (>= 3.16.0),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1.0~),
               libkf6config-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6globalaccel-dev (>= 6.1.0~),
               libkf6guiaddons-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkirigami-dev (>= 6.1.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-formcard (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-labs-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-settings (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-sounds (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-statefulapp (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-tableview (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-treeview (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: libkirigamiaddonsstatefulapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp library
 This package contains the kirigami-addons statefulapp library.

Package: qml6-module-org-kde-kirigamiaddons-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: components module for QML
 This package contains the treeview QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml6-module-org-kde-kirigamiaddons-delegates
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: delegates module for QML
 This package contains the treeview QML module.
 A runtime QML module providing delegates utilities.

Package: qml6-module-org-kde-kirigamiaddons-formcard
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kirigami,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: formcard module for QML
 This package contains the treeview QML module.
 A runtime QML module providing formcard utilities.

Package: qml6-module-org-kde-kirigamiaddons-labs-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: labs/components module for QML
 This package contains the labs/components QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-settings
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: settings module for QML
 This package contains the treeview QML module.
 A runtime QML module providing settings utilities.

Package: qml6-module-org-kde-kirigamiaddons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: qml6-module-org-kde-kirigamiaddons-statefulapp
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-kirigamiaddons-labs-components,
         qml6-module-qt-labs-platform,
         qml6-module-qtqml,
         qml6-module-qtqml-base,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp module for QML
 This package contains the statefulapp QML module.
 A runtime QML module providing statefulapp utilities.

Package: qml6-module-org-kde-kirigamiaddons-tableview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: tableview module for QML
 This package contains the tableview QML module.
 A runtime QML module providing tableview utilities.

Package: qml6-module-org-kde-kirigamiaddons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.

## kirigami-addons 1.6.0

=== debian/changelog ===
kirigami-addons (1.6.0-1) unstable; urgency=medium

  * New upstream release 

 -- Matthias Geiger <werdahias@debian.org>  Sun, 08 Dec 2024 15:03:17 +0100

kirigami-addons (1.5.0-1) unstable; urgency=medium

  * Team upload.

  [Matthias Geiger]
  * New upstream release
  * d/control: Update my mail address
  * d/control: Update B-D versions from CMakelists.txt
  * d/kirigami-addons-data.install: Install librarymanager6 template

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Update copyright information.
  * Solve inter-package circular loop and define formcard as recommned
    for components.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 13:30:57 +0100

=== debian/control ===
Source: kirigami-addons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>,
Build-Depends: cmake (>= 3.16.0),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6globalaccel-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkirigami-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-qtmultimedia,
               qml6-module-org-kde-sonnet,
               qml6-module-org-kde-config,
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-desktop,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-formcard (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-labs-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-settings (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-sounds (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-statefulapp (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-tableview (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-treeview (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: libkirigamiaddonsstatefulapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp library
 This package contains the kirigami-addons statefulapp library.

Package: qml6-module-org-kde-kirigamiaddons-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kirigamiaddons-formcard
Description: components module for QML
 This package contains the treeview QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml6-module-org-kde-kirigamiaddons-delegates
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: delegates module for QML
 This package contains the treeview QML module.
 A runtime QML module providing delegates utilities.

Package: qml6-module-org-kde-kirigamiaddons-formcard
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: formcard module for QML
 This package contains the treeview QML module.
 A runtime QML module providing formcard utilities.

Package: qml6-module-org-kde-kirigamiaddons-labs-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: labs/components module for QML
 This package contains the labs/components QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-settings
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: settings module for QML
 This package contains the treeview QML module.
 A runtime QML module providing settings utilities.

Package: qml6-module-org-kde-kirigamiaddons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: qml6-module-org-kde-kirigamiaddons-statefulapp
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: statefulapp module for QML
 This package contains the statefulapp QML module.
 A runtime QML module providing statefulapp utilities.

Package: qml6-module-org-kde-kirigamiaddons-tableview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: tableview module for QML
 This package contains the tableview QML module.
 A runtime QML module providing tableview utilities.

Package: qml6-module-org-kde-kirigamiaddons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.
